#include <iostream>
#include <string>
#include <cstdio>
#include <vector>
#include <algorithm>

using namespace std;

vector<string> split_string(string input){
	vector<string> output;
	size_t poz;
	int i = 0;
	while((poz = input.find(' ')) != string::npos){
		output.push_back(input.substr(0, poz));
		input.erase(0, poz+1);
	}
	output.push_back(input);
	return output;
}

int main(){
	string input, output = "";
	getline(cin, input);
	vector<string> elements = split_string(input);
	sort(elements.rbegin(), elements.rend());
	for(auto x : elements)
		output += x;
	printf("%s\n", output.c_str());
	return 0;
}